QScintilla: QsciLexerXML Class Reference

# QsciLexerXML Class Reference

The QsciLexerXML class encapsulates the Scintilla XML lexer. More...

`#include <qscilexerxml.h>`

Inherits QsciLexerHTML.

List of all members.

## Public Member Functions

- QsciLexerXML (QObject *parent=0, const char *name=0)
- virtual ~QsciLexerXML ()
- const char * language () const
- const char * lexer () const
- QColor defaultColor (int style) const
- bool defaultEolFill (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- const char * keywords (int set) const

## Detailed Description

The QsciLexerXML class encapsulates the Scintilla XML lexer.

## Constructor & Destructor Documentation

QsciLexerXML::QsciLexerXML | ( | QObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QsciLexerXML with parent parent and name name. parent is typically the QsciScintilla instance.

virtual QsciLexerXML::~QsciLexerXML | ( |  | ) | `[virtual]`

Destroys the QsciLexerXML instance.

## Member Function Documentation

const char* QsciLexerXML::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Reimplemented from QsciLexerHTML.

const char* QsciLexerXML::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexerHTML.

QColor QsciLexerXML::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexerHTML.

bool QsciLexerXML::defaultEolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QsciLexerHTML.

QFont QsciLexerXML::defaultFont | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QsciLexerHTML.

QColor QsciLexerXML::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexerHTML.

const char* QsciLexerXML::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexerHTML.